# HelpersService | windmill-client
Documentation for windmill-client

# Class HelpersService

- Defined in src/services.gen.ts:6291

#####
Index

### Constructors

constructor

### Methods

datasetStorageTestConnection
deleteS3File
duckdbConnectionSettings
duckdbConnectionSettingsV2
fileDownload
fileDownloadParquetAsCsv
fileUpload
listStoredFiles
loadCsvPreview
loadFileMetadata
loadFilePreview
loadParquetPreview
moveS3File
polarsConnectionSettings
polarsConnectionSettingsV2
s3ResourceInfo

##
Constructors

### constructor

- new HelpersService(): HelpersService

- #### Returns HelpersService

##
Methods

### `Static` datasetStorageTestConnection

- datasetStorageTestConnection(data): CancelablePromise <unknown>

- Test connection to the workspace object storage

  #### Parameters

  - data: DatasetStorageTestConnectionData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown Connection settings

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6400

### `Static` deleteS3File

- deleteS3File(data): CancelablePromise <unknown>

- Permanently delete file from S3

  #### Parameters

  - data: DeleteS3FileData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown Confirmation

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6577

### `Static` duckdbConnectionSettings

- duckdbConnectionSettings(data): CancelablePromise < DuckdbConnectionSettingsResponse >

- Converts an S3 resource to the set of instructions necessary to connect DuckDB to an S3 bucket

  #### Parameters

  - data: DuckdbConnectionSettingsData

    The data for the request.

  #### Returns CancelablePromise < DuckdbConnectionSettingsResponse >

  unknown Connection settings

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6300

### `Static` duckdbConnectionSettingsV2

- duckdbConnectionSettingsV2(data): CancelablePromise < DuckdbConnectionSettingsV2Response >

- Converts an S3 resource to the set of instructions necessary to connect DuckDB to an S3 bucket

  #### Parameters

  - data: DuckdbConnectionSettingsV2Data

    The data for the request.

  #### Returns CancelablePromise < DuckdbConnectionSettingsV2Response >

  unknown Connection settings

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6320

### `Static` fileDownload

- fileDownload(data): CancelablePromise < FileDownloadResponse >

- Download file to S3 bucket

  #### Parameters

  - data: FileDownloadData

    The data for the request.

  #### Returns CancelablePromise < FileDownloadResponse >

  binary Chunk of the downloaded file

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6659

### `Static` fileDownloadParquetAsCsv

- fileDownloadParquetAsCsv(data): CancelablePromise <string>

- Download file to S3 bucket

  #### Parameters

  - data: FileDownloadParquetAsCsvData

    The data for the request.

  #### Returns CancelablePromise <string>

  string The downloaded file

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6685

### `Static` fileUpload

- fileUpload(data): CancelablePromise < FileUploadResponse >

- Upload file to S3 bucket

  #### Parameters

  - data: FileUploadData

    The data for the request.

  #### Returns CancelablePromise < FileUploadResponse >

  unknown File upload status

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6629

### `Static` listStoredFiles

- listStoredFiles(data): CancelablePromise < ListStoredFilesResponse >

- List the file keys available in a workspace object storage

  #### Parameters

  - data: ListStoredFilesData

    The data for the request.

  #### Returns CancelablePromise < ListStoredFilesResponse >

  unknown List of file keys

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6424

### `Static` loadCsvPreview

- loadCsvPreview(data): CancelablePromise <unknown>

- Load a preview of a csv file

  #### Parameters

  - data: LoadCsvPreviewData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown Csv Preview

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6548

### `Static` loadFileMetadata

- loadFileMetadata(data): CancelablePromise < WindmillFileMetadata >

- Load metadata of the file

  #### Parameters

  - data: LoadFileMetadataData

    The data for the request.

  #### Returns CancelablePromise < WindmillFileMetadata >

  WindmillFileMetadata FileMetadata

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6449

### `Static` loadFilePreview

- loadFilePreview(data): CancelablePromise < WindmillFilePreview >

- Load a preview of the file

  #### Parameters

  - data: LoadFilePreviewData

    The data for the request.

  #### Returns CancelablePromise < WindmillFilePreview >

  WindmillFilePreview FilePreview

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6478

### `Static` loadParquetPreview

- loadParquetPreview(data): CancelablePromise <unknown>

- Load a preview of a parquet file

  #### Parameters

  - data: LoadParquetPreviewData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown Parquet Preview

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6513

### `Static` moveS3File

- moveS3File(data): CancelablePromise <unknown>

- Move a S3 file from one path to the other within the same bucket

  #### Parameters

  - data: MoveS3FileData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown Confirmation

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6601

### `Static` polarsConnectionSettings

- polarsConnectionSettings(data): CancelablePromise < PolarsConnectionSettingsResponse >

- Converts an S3 resource to the set of arguments necessary to connect Polars to an S3 bucket

  #### Parameters

  - data: PolarsConnectionSettingsData

    The data for the request.

  #### Returns CancelablePromise < PolarsConnectionSettingsResponse >

  unknown Connection settings

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6340

### `Static` polarsConnectionSettingsV2

- polarsConnectionSettingsV2(data): CancelablePromise < PolarsConnectionSettingsV2Response >

- Converts an S3 resource to the set of arguments necessary to connect Polars to an S3 bucket

  #### Parameters

  - data: PolarsConnectionSettingsV2Data

    The data for the request.

  #### Returns CancelablePromise < PolarsConnectionSettingsV2Response >

  unknown Connection settings

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6360

### `Static` s3ResourceInfo

- s3ResourceInfo(data): CancelablePromise < S3Resource >

- Returns the s3 resource associated to the provided path, or the workspace default S3 resource

  #### Parameters

  - data: S3ResourceInfoData

    The data for the request.

  #### Returns CancelablePromise < S3Resource >

  S3Resource Connection settings

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6380